@(title: String)
<!DOCTYPE html>
<html>
    <head>
        @head(title)
        <link rel="stylesheet" media="screen" href="@routes.Assets.at("stylesheets/pages/sample.css")">
    </head>
    <div class="navbar navbar-inverse navbar-fixed-top" role="navigation">
      <div class="container-fluid">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="#">XuC Web Int</a>
        </div>
        <div class="navbar-collapse collapse">
          <div class="navbar-form navbar-right" id="xuc_logon_panel">
            <div class="form-group">
              <input type="text" placeholder="server" class="form-control" id="xuc_server" value="localhost:9000">
            </div>
            <div class="form-group">
              <input type="text" placeholder="username" class="form-control" id="xuc_username" value="alicej">
            </div>
            <div class="form-group">
              <input type="password" placeholder="Password" class="form-control" id="xuc_password" value="0000">
            </div>
            <div class="form-group">
              <input type="text" placeholder="Phone number" class="form-control" id="xuc_phoneNumber" value="1058">
            </div>
            <button class="btn btn-success" id="xuc_sign_in">Sign in</button>
          </div>
        </div><!--/.navbar-collapse -->
      </div>
    </div>

      <button class="btn btn-warning" id="xuc_restart" title="Restart">Restart</button>
      <div class="container-fluid" id="agent_error">
        <p>Xivo integration samples using javascript api.</p>
      </div>
    <div class="container-fluid" id="last_phone_event">
    </div>

    <div class="container-fluid">
        <div class="row">
            <div class="col-md-6">
                User Id : <span id="xuc_userId"></span>
                Full name: <span id="xuc_fullName"></span>
                Mobile: <span id="xuc_mobileNumber"></span>
                Agent Id : <span id="xuc_agentId"></span>
                Voicemail Id : <span id="xuc_voiceMailId"></span>
                Voicemail Enabled : <span id="xuc_voiceMailEnabled"></span>
            </div>
            <div class="col-md-6">
                Voicemail new Msg : <span id="xuc_newMessages"></span>
                Voicemail waiting Msg : <span id="xuc_waitingMessages"></span>
                Voicemail old Msg : <span id="xuc_oldMessages"></span>
            </div>

        </div>
      <div class="row">
        <div class="col-md-3">
            <div class="col-sm-12">
                <h4>Agent</h4>
            </div>
          <div class="form-group">
            <label class="col-sm-4 control-label" for="xuc_agentStatus">Status</label>
            <div class="col-sm-8">
                <input type="text" class="form-control" id="xuc_agentStatus" value="">
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-4 control-label"for="xuc_agentPhoneNumber">Phone Number</label>
            <div class="col-sm-8">
                <input type="text" placeholder="phone number" class="form-control" id="xuc_agentPhoneNumber" value="">
            </div>
         </div>
          <div class="form-group">
            <div class="col-sm-12">
            <button class="btn btn-success" id="xuc_login_btn" title="Agent Log in">Log in</button>
            <button class="btn btn-danger" id="xuc_logout_btn" title="Agent Log out">Log out</button>
            <button class="btn btn-warning" id="xuc_pause_btn" title="Pause">Pause</button>
            <button class="btn btn-info" id="xuc_unpause_btn" title="Un Pause">Un Pause</button>
            </div>
          </div>
          <div class="form-group">
                <label class="col-sm-2 control-label" for="xuc_agentData">Data</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" id="xuc_agentData" value="">
                </div>
          </div>
            <div class="form-group">
                <label class="col-sm-2 control-label" for="xuc_agentListenStatus">Listen Status</label>
                <div class="col-sm-10">
                    <input type="text" class="form-control" id="xuc_agentListenStatus" value="">
                </div>
            </div>
        </div>
          <div class="col-md-3">
              <div class="col-sm-12">
                  <h4>Call Monitor</h4>
              </div>
              <div class="form-group">
                  <label class="col-sm-2 control-label" for="xuc_agentMonitorState">Monitor State</label>
                  <div class="col-sm-10">
                      <input type="text" class="form-control" id="xuc_agentMonitorState" value="">
                  </div>
                  <div class="col-sm-12">
                      <button class="btn btn-success" id="xuc_monitorpause_btn" title="Monitor pause">Monitor Pause</button>
                      <button class="btn btn-danger" id="xuc_monitorunpause_btn" title="Montiro unpause">Montor Unpause</button>
                  </div>
              </div>
              <div class="col-sm-12">
                  <h4>Agent queue management</h4>
              </div>
              <div class="form-inline">
                  <div class="col-sm-12">
                      <label class="control-label" for="xuc_agentId_target">Agent Id</label>
                      <input type="text" class="form-control" id="xuc_agentId_target" value="" size="3" placeholder="Agent Id">
                      <label class="control-label" for="xuc_queueId">Queue Id</label>
                      <input type="text" class="form-control" id="xuc_queueId" value="" size="3" placeholder="Queue Id">
                      <label class="control-label" for="xuc_penalty">Penalty</label>
                      <input type="text" class="form-control" id="xuc_penalty" value="" size="3" placeholder="Penalty">
                      <button class="btn btn-primary" id="xuc_set_agent_queue_btn" title="Set agent queue">
                          <span class="glyphicon glyphicon-plus"></span>
                      </button>
                      <button class="btn  btn-primary" id="xuc_remove_agent_from_queue_btn" title="Remove agent from queue">
                          <span class="glyphicon glyphicon-minus"></span>
                      </button>
                      <button class="btn btn-success" id="xuc_listen_agent_btn" title="listen agent">Listen Agent</button>
                  </div>
              </div>
              <div id="directoryresult" class="span8">
              </div>
              <div>
                  <ul class="list-group" id="raw_directory_result"> </ul>
              </div>
          </div>
        <div class="col-md-3">
            <div class="col-sm-12">
                <h4>User</h4>
            </div>
            <form class="form-inline">
                <div class="checkbox col-xs-4">
                    <label>
                        <input id="xuc_naFwdEnabled" type="checkbox"/> Na Fwd
                    </label>
                </div>
                <div class="checkbox col-xs-4">
                    <label>
                        <input id="xuc_uncFwdEnabled" type="checkbox"/> Unc Fwd
                    </label>
                </div>
                <div class="checkbox col-xs-4">
                    <label>
                        <input id="xuc_busyFwdEnabled" type="checkbox"/> Busy Fwd
                    </label>
                </div>
            </form>
            <div class="row">
                <div class="col-xs-4">
                    <input id="xuc_naFwdDestination" type="text" class="form-control" placeholder="number">
                </div>
                <div class="col-xs-4">
                    <input id="xuc_uncFwdDestination" type="text" class="form-control" placeholder="number">
                </div>
                <div class="col-xs-4">
                    <input id="xuc_busyFwdDestination" type="text" class="form-control" placeholder="number">
                </div>
            </div>
          <div class="form-group">
              <label class="col-sm-4 control-label" for="xuc_phoneStatus">Phone Status</label>
              <div class="col-sm-8">
                <input type="text" class="form-control" id="xuc_phoneStatus" value="">
              </div>
          </div>
          <div class="form-group">
            <div class="col-sm-6">
              <div class="dropdown">
                 <button class="btn dropdown-toggle" data-toggle="dropdown"id="presence">
                     <span id="currentPresence">Presence</span> <span class="caret"></span>
                 </button>
                 <ul class="dropdown-menu" role="menu" aria-labelledby="dropdownMenu" id="userPresence"></ul>
              </div>
            </div>
            <div class="col-sm-6">
                <button class="btn btn-success" type="button" id="xuc_enable_dnd_btn" title="Enable DND">
                    En. DND
                </button>
                <button class="btn btn-danger" type="button" id="xuc_disable_dnd_btn" title="Disable DND">
                    Dis. DND
                </button>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-4 control-label" for="xuc_userStatus">User Status</label>
            <div class="col-sm-8">
                <input type="text" class="form-control" id="xuc_userStatus" value="">
            </div>
          </div>
        </div>
        <div class="col-md-3">
            <div class="col-sm-12">
                <h4>Phone</h4>
            </div>
            <div class="form-group">
                <div class="col-sm-12">
                    <input type="text" placeholder="enter a number or name to search" class="form-control" id="xuc_destination">
                    <input type="text" placeholder="variables (ex: var1=val1&var2=val2)" class="form-control" id="xuc_dial_variables">
                    <div>
                        <button class="btn btn-warning" type="button" id="xuc_dial_btn" title="dial">
                            <span class="glyphicon glyphicon-earphone" ></span>
                        </button>
                        <button class="btn btn-danger" type="button" id="xuc_direct_transfer_btn" title="direct transfer">
                            <span class="glyphicon glyphicon-fast-forward"></span>
                        </button>
                        <button class="btn btn-danger" type="button" id="xuc_attended_transfer_btn" title="attended transfer">
                            <span class="glyphicon glyphicon-chevron-right"></span>
                        </button>
                        <button class="btn btn-danger" type="button" id="xuc_complete_transfer_btn" title="complete transfer">
                            <span class="glyphicon glyphicon-ok"></span>
                        </button>
                        <button class="btn btn-danger" type="button" id="xuc_cancel_transfer_btn" title="cancel transfer">
                            <span class="glyphicon glyphicon-edit"></span>
                        </button>
                        <button class="btn btn-info" type="button" id="xuc_answer_btn" title="answer">
                            <span class="glyphicon glyphicon-arrow-up"></span>
                        </button>
                        <button class="btn btn-danger" type="button" id="xuc_hangup_btn" title="hangup">
                            <span class="glyphicon glyphicon-arrow-down"></span>
                        </button>
                        <button class="btn btn-warning" type="button" id="xuc_search_btn" title="search-deprecated">
                            <span class="glyphicon glyphicon-search">&nbspDeprecated</span>
                        </button>

                    </div>
                </div>
            </div>
            <div class="col-sm-12">
                <h4>Directory</h4>
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <input type="text" placeholder="number or name" class="form-control" id="xuc_directory">
                </div>
                <div class="col-sm-2">
                    <button class="btn btn-warning" type="button" id="xuc_lookup_btn" title="Search">
                        <span class="glyphicon glyphicon-search" ></span>
                    </button>
                </div>
                <div class="col-sm-4">
                    <button class="btn btn-success" type="button" id="xuc_favorites_btn" title="Get favorites">
                        Get&nbsp<span class="glyphicon glyphicon-star" ></span>
                    </button>
                </div>
            </div>
            <div class="col-sm-12">
                <h4>Favoris</h4>
            </div>
            <div class="form-group">
                <label class="col-sm-4 control-label">contact_id</label>
                <div class="col-sm-8">
                    <input type="text" class="form-control" id="xuc_fav_contact_id" placeholder="id">
                </div>
                <label class="col-sm-4 control-label">source</label>
                <div class="col-sm-8">
                    <input type="text" class="form-control" id="xuc_fav_source" placeholder="source">
                </div>
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <button class="btn btn-success" type="button" id="xuc_fav_add_btn" title="Add favorite">
                        <span class="glyphicon glyphicon-star" >&nbspAdd</span>
                    </button>
                </div>
                <div class="col-sm-6">
                    <button class="btn btn-danger" type="button" id="xuc_fav_rm_btn" title="Remove favorite">
                        <span class="glyphicon glyphicon-star" >&nbspRemove</span>
                    </button>
                </div>
            </div>
            <div>
                <ul class="list-group" id="favorite_update_result"> </ul>
            </div>
        </div>
      </div>
        <div class="row">
            <div class="col-md-3">
                <h3>Phone Events</h3>
                <div class="form-group">
                    <button class="btn btn-danger" id="xuc_clean_phone_events"><span class="glyphicon glyphicon-remove-circle"></span></button>
                    <span> </span>
                </div>
                <ul class="list-group" id="phone_events"> </ul>
            </div>
            <div class="col-md-3">
                <h3>Agent States Events</h3>
                <div class="form-group">
                    <button class="btn btn-danger" id="xuc_clean_agent_events"><span class="glyphicon glyphicon-remove-circle"></span></button>
                    <button class="btn btn-success" id="xuc_subscribe_to_agent_event_btn" title="Subscribe to Agent Events">Subscribe</button>
                    <span> </span>
                    <button class="btn btn-success" id="xuc_get_agentstates" title="get agent states">Get States</button>
                </div>
                <ul class="list-group" id="agentstates"> </ul>
                <ul class="list-group" id="agent_events"> </ul>
            </div>
            <div class="col-md-3">
                <h3>Agent statistics</h3>
                <button class="btn btn-danger" id="xuc_clean_agent_statistic"><span class="glyphicon glyphicon-remove-circle"></span></button>
                <button class="btn btn-success" id="xuc_subscribe_to_agent_statistic_btn" title="Subcribe">Subcribe</button>
                <ul class="list-group" id="agent_stats"> </ul>
            </div>
            <div class="col-md-3">
                <h3>Agents</h3>
                <button class="btn btn-danger" id="xuc_clean_agent_config"><span class="glyphicon glyphicon-remove-circle"></span></button>
                <button class="btn btn-success" id="xuc_get_config_agents" title="get agents">Get agents</button>
                <ul class="list-group" id="agent_config"> </ul>
            </div>
        </div>
        <div class="row">
            <div class="col-md-3">
                <h3>Queues</h3>
                <button class="btn btn-danger" id="xuc_clean_queue_config"><span class="glyphicon glyphicon-remove-circle"></span></button>
                <button class="btn btn-success" id="xuc_get_config_queues" title="get queues">Get queues</button>
                <ul class="list-group" id="queue_config"> </ul>
            </div>
            <div class="col-md-3">
                <h3>Queue Stats</h3>
                <button class="btn btn-danger" id="xuc_clean_queue_stats"><span class="glyphicon glyphicon-remove-circle"></span></button>
                <button class="btn btn-success" id="xuc_subscribe_to_queue_stats_btn" title="Subscribe to queue stats">Subscribe to queue stats</button>
                <ul class="list-group" id="queue_stats">
                </ul>
            </div>
            <div class="col-md-3">
                <h3>Queue Members</h3>
                <button class="btn btn-danger" id="xuc_clean_queue_member"><span class="glyphicon glyphicon-remove-circle"></span></button>
                <button class="btn btn-success" id="xuc_get_config_queuemembers" title="get queuemembers">Get Q members</button>
                <ul class="list-group" id="queue_member"> </ul>
            </div>
            <div class="col-md-3">
                <h2>Queue Calls</h2>
                <label>Queue Id :</label><input id="xuc_queue_id_calls">
                <button class="btn btn-danger" id="xuc_clean_queue_calls"><span class="glyphicon glyphicon-remove-circle"></span></button>
                <button class="btn btn-success" id="xuc_subscribe_to_queue_calls" title="subscribe to queue calls">Subscribe to Q calls</button>
                <button class="btn btn-success" id="xuc_unsubscribe_to_queue_calls" title="unsubscribe to queue calls">Unsubscribe</button>
                <ul class="list-group" id="queue_calls"> </ul>
            </div>
        </div>
      <div class="row">
          <div class="col-md-3">
            <h3>Agent Directory</h3>
            <button class="btn btn-danger" id="xuc_clean_agent_directory"><span class="glyphicon glyphicon-remove-circle"></span></button>
            <button class="btn btn-success" id="xuc_get_agent_directory" title="agent directory">agent directory</button>
            <ul class="list-group" id="agent_directory"> </ul>
          </div>
          <div class="col-md-3">
              <h3>Agent Groups</h3>
              <button class="btn btn-danger" id="xuc_clean_agentgroup_config"><span class="glyphicon glyphicon-remove-circle"></span></button>
              <button class="btn btn-success" id="xuc_get_config_agentgroups" title="get agent groups">Get agent groups</button>
              <ul class="list-group" id="agentgroup_config"> </ul>
          </div>
          <div class="col-md-3">
              <h3>Conferences</h3>
              <button class="btn btn-danger" id="xuc_clean_conferences"><span class="glyphicon glyphicon-remove-circle"></span></button>
              <button class="btn btn-success" id="xuc_get_config_conferences" title="get conferences">Get conferences</button>
              <ul class="list-group" id="conferences"> </ul>
              <div class="col-sm-8">
                  <label>ID of the user to invite:</label>
                  <input type="text" class="form-control" id="xuc_confUserId" value="">
                  <button class="btn btn-success" id="xuc_invite_conf_room" title="invite conference room">Invite conference room</button>
              </div>
          </div>
          <div class="col-md-3">
              <h3>Callback Lists</h3>
              <button class="btn btn-danger" id="xuc_clean_callbacks"><span class="glyphicon glyphicon-remove-circle"></span></button>
              <button class="btn btn-success" id="xuc_get_callback_lists" title="get callback lists">Get Callback Lists</button>
              <ul class="list-group" id="callbacks"> </ul>
          </div>
      </div>
      <div class="row">
        <div class="col-md-3">
            <h3>Agent Call History</h3>
            <button class="btn btn-danger" id="xuc_clean_call_history"><span class="glyphicon glyphicon-remove-circle"></span></button>
            <button class="btn btn-success" id="xuc_get_user_call_history" title="get user call history">User history</button>
            <button class="btn btn-success" id="xuc_get_agent_call_history" title="get agent call history">Agent history</button>
            <ul class="list-group" id="call_history"></ul>
        </div>
      </div>

      <hr>
      <footer>
        <p>&copy; Company 2013</p>
      </footer>
    </div> <!-- /container -->
    <script src="@routes.Assets.at("javascripts/pages/sample.js")" type="text/javascript"></script>
  </body>
  </body>
  </html>
